
# Anleitung zur Konfiguration des Mail-Sendeprozesses in OTOBO

Diese Anleitung zeigt, wie Sie den Mail-Sendeprozess im OTOBO-Dev-System konfigurieren. Die Konfiguration erfolgt über diese [Konfigurationsseite](https://devsupport.xsense.ch/otobo/index.pl?Action=AdminSystemConfigurationGroup;RootNavigation=Core::Email) der OTOBO-Applikation. Nachfolgend finden Sie die Schritte, die erforderlich sind, um die SMTP-Einstellungen korrekt einzurichten.

---

## 1. Administrator-E-Mail konfigurieren
- Tragen Sie unter **AdminEmail** die E-Mail-Adresse des administratorkonto des Otobo Systems (root) ein.
  - In unserem Fall: `support-dev@xsense.ch`


---


## 2. Absenderadresse für Benachrichtigungen festlegen
- Unter **NotificationSenderEmail** geben Sie die E-Mail-Adresse ein, die als Absenderadresse für Systembenachrichtigungen verwendet wird.
  - In unserem Fall: `support-dev@xsense.ch`

---


## 3. Authentifizierung einrichten
- Füllen Sie die folgenden Felder aus:
  - **SendmailModule::AuthUser**: Geben Sie die Benutzer-E-Mail ein, die für die Authentifizierung verwendet wird.
    - In unserem Fall: `support-dev@xsense.ch`
  - **SendmailModule::AuthPassword**: Tragen Sie das Passwort für das oben angegebene E-Mail-Konto ein. (ist im Keepass zu finden)

**Erklärung:** Diese Informationen werden verwendet, um sich am SMTP-Server zu authentifizieren, falls dieser eine Authentifizierung erfordert.

---

## 4. SMTP-Port konfigurieren
- Stellen Sie sicher, dass der richtige Port unter **SendmailModule::Port** eingetragen ist. (sollte Default Sein)
  - Standardwert für Office365: `587`

**Erklärung:** Der Port definiert, über welchen Eingang der Mailserver erreicht werden kann. Port 587 wird typischerweise für E-Mails mit TLS-Verschlüsselung verwendet.

---

## 5. SMTP-Host einstellen
- Navigieren Sie zur Konfigurationsseite für die E-Mail-Einstellungen.
- Geben Sie unter **SendmailModule::Host** den SMTP-Server ein.
  - In unserem Fall: `smtp.office365.com`

**Erklärung:** Der Hostname spezifiziert den Mailserver, der für das Versenden von E-Mails verwendet wird.

---


## Vollständige Konfiguration Dev System
| Einstellung                   | Wert                        |
|-------------------------------|-----------------------------|
| SendmailModule::Host          | `smtp.office365.com`       |
| SendmailModule::Port          | `587`                      |
| SendmailModule::AuthUser      | `support-dev@xsense.ch`    |
| SendmailModule::AuthPassword  | `********`                 |
| NotificationSenderEmail       | `support-dev@xsense.ch`    |
| AdminEmail                    | `support-dev@xsense.ch`    |
